.modal-outer {
  position: fixed;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background: #00000088;
  z-index: 9999;
  overflow: hidden;

  display: flex;
  align-items: center;
  justify-content: center;

  opacity: 0;
  pointer-events: none;

  &.open {
    opacity: 1;
    pointer-events: all;

    .modal-inner {
      transform: translateX(0)!important;
    }
  }


  .modal-inner {
    z-index: 99999;
    position: absolute;
    background: var(--background);
    color: #000000;
    box-shadow: 0px 7px 8px -4px rgba(0, 0, 0, 0.2),
    0px 12px 17px 2px rgba(0, 0, 0, 0.14),
    0px 5px 22px 4px rgba(0, 0, 0, 0.12);
    border-radius: 6px;
    animation-duration: 300ms;
    animation-timing-function: ease-in-out;
    animation-fill-mode: forwards;
    max-width: 80%;
    transform: translateX(-800px);
    transition: all 300ms ease-in-out;
    padding: 30px;
  }

  .modal-close-btn {
    position: absolute;
    right: 10px;
    top: 10px;
    font-size: 1.5em;

    &:hover {
      opacity: 0.5;
      cursor: pointer;
    }
  }
}